Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::optimization::UnembeddedFontSettings Class Reference
Inheritance diagram for foxit::addon::optimization::UnembeddedFontSettings:

## Public Member Functions
| UnembeddedFontSettings ()
| Constructor.
| UnembeddedFontSettings (const UnembeddedFontSettings &other)
| Constructor, with another unembedded font settings object. More...
| ~UnembeddedFontSettings ()
| Destructor.
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const UnembeddedFontSettings &other) const
| Not equal operator. More...
UnembeddedFontSettings & | operator= (const UnembeddedFontSettings &other)
| Assign operator. More...
bool | operator== (const UnembeddedFontSettings &other) const
| Equal operator. More...
void | SetSubsetAllEmFonts (bool is_subset_all_emb_fonts)
| Sets whether to include subsets of all unembedded fonts. More...
void | SetUnembeddedFontNameArray (const WStringArray &font_name_array)
| Set a font name array to specify which fonts are to be unembeded. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents the settings for unembedded fonts. This class object can be set to class OptimizerSettings and then be used to optimize a PDF document.

See also
  OptimizerSettings

## Constructor & Destructor Documentation

## ◆ UnembeddedFontSettings()

foxit::addon::optimization::UnembeddedFontSettings::UnembeddedFontSettings | ( | const UnembeddedFontSettings & | other | ) |

Constructor, with another unembedded font settings object.

Parameters

  [in] | other | Another ImageSettings object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit::addon::optimization::UnembeddedFontSettings::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::optimization::UnembeddedFontSettings::operator!= | ( | const UnembeddedFontSettings & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another unembedded font settings object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

UnembeddedFontSettings& foxit::addon::optimization::UnembeddedFontSettings::operator= | ( | const UnembeddedFontSettings & | other | ) |

Assign operator.

Parameters

  [in] | other | Another unembedded font settings object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::optimization::UnembeddedFontSettings::operator== | ( | const UnembeddedFontSettings & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another unembedded font settings object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ SetSubsetAllEmFonts()

void foxit::addon::optimization::UnembeddedFontSettings::SetSubsetAllEmFonts | ( | bool | is_subset_all_emb_fonts | ) |

Sets whether to include subsets of all unembedded fonts.

Parameters

  [in] | is_subset_all_emb_fonts | true means to include subsets of all unembedded fonts. false means not to include subsets of all unembedded fonts.

Returns
  void.

## ◆ SetUnembeddedFontNameArray()

void foxit::addon::optimization::UnembeddedFontSettings::SetUnembeddedFontNameArray | ( | const WStringArray & | font_name_array | ) |

Set a font name array to specify which fonts are to be unembeded.

This function can be used to specify which fonts are to be unembedded. User can use function pdf::PDFDoc::GetEmbeddedFontData to get the embedded font name arrays of a PDF document, then decide which embeded fonts are to be unembeded, and pass the unembeded font name array to current function.

Parameters

  [in] | font_name_array | A font name array to specify which fonts are to be unembeded.

Returns
  None.